[Lldb-commits] [lldb] r196624 - Fixed Makefile-based install to place python packages in the LLDB install tree.
Sylvestre Ledru
sylvestre at debian.org
Fri Dec 6 15:16:24 PST 2013
Author: sylvestre
Date: Fri Dec 6 17:16:23 2013
New Revision: 196624
URL: http://llvm.org/viewvc/llvm-project?rev=196624&view=rev
Log:
Fixed Makefile-based install to place python packages in the LLDB install tree.
Failure to install python packages now fails the make install.
This patch properly handles the optional DESTDIR variable.
Patch by Todd Fiala
Modified:
lldb/trunk/scripts/finish-swig-wrapper-classes.sh
lldb/trunk/source/Interpreter/Makefile
Modified: lldb/trunk/scripts/finish-swig-wrapper-classes.sh
URL: http://llvm.org/viewvc/llvm-project/lldb/trunk/scripts/finish-swig-wrapper-classes.sh?rev=196624&r1=196623&r2=196624&view=diff
==============================================================================
--- lldb/trunk/scripts/finish-swig-wrapper-classes.sh (original)
+++ lldb/trunk/scripts/finish-swig-wrapper-classes.sh Fri Dec 6 17:16:23 2013
@@ -89,6 +89,11 @@ do
./finish-swig-${curlang}-LLDB.sh $SRC_ROOT $TARGET_DIR $CONFIG_BUILD_DIR "${PREFIX}" "${debug_flag}" "${makefile_flag}"
+ retval=$?
+ if [ $retval -ne 0 ]; then
+ echo "$(pwd)/finish-swig-${curlang}-LLDB.sh failed with exit code $retval"
+ exit $retval
+ fi
fi
fi
done
Modified: lldb/trunk/source/Interpreter/Makefile
URL: http://llvm.org/viewvc/llvm-project/lldb/trunk/source/Interpreter/Makefile?rev=196624&r1=196623&r2=196624&view=diff
==============================================================================
--- lldb/trunk/source/Interpreter/Makefile (original)
+++ lldb/trunk/source/Interpreter/Makefile Fri Dec 6 17:16:23 2013
@@ -35,7 +35,7 @@ LLDBWrapPython.cpp lldb.py: $(PROJ_SRC_D
install-local:: lldb.py
$(Echo) Installing $(BuildMode) LLDB python modules
- $(Verb) "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/finish-swig-wrapper-classes.sh" "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)" "$(PROJ_OBJ_DIR)" "$(PROJ_OBJ_DIR)" "" -m
+ $(Verb) "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/finish-swig-wrapper-classes.sh" "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)" "$(PROJ_OBJ_DIR)" "$(PROJ_OBJ_DIR)" "$(DESTDIR)$(prefix)" -m
clean-local::
$(Verb) $(RM) -f LLDBWrapPython.cpp lldb.py
More information about the lldb-commits
mailing list